Community
cancel
Showing results for 
Search instead for 
Did you mean: 
applemax82
Beginner
66 Views

unable to install ipp 5.3 on centos 6.7

Hi,

I fail to install ipp5.3 on centos 6.7. Below is error message:

Enter 'accept' to continue, 'reject' to exit
accept
Extracting...               ###################################################################################################################### [100%]
RPM version 4.8.0
Copyright (C) 1998-2002 - Red Hat, Inc.
This program may be freely redistributed under the terms of the GNU GPL

Usage: rpm [-aKfgpWHqVcdilsKiv?] [-a|--all] [-f|--file] [-g|--group] [-p|--package] [-W|--ftswalk] [--pkgid] [--hdrid] [--fileid] [--specfile] [--triggeredby] [--whatrequires] [--whatprovides] [--nomanifest] [-c|--configfiles]
        [-d|--docfiles] [--dump] [-l|--list] [--queryformat=QUERYFORMAT] [-s|--state] [--nofiledigest] [--nomd5] [--nofiles] [--nodeps] [--noscript] [--comfollow] [--logical] [--nochdir] [--nostat] [--physical] [--seedot]
        [--xdev] [--whiteout] [--addsign] [-K|--checksig] [--delsign] [--import] [--resign] [--nodigest] [--nosignature] [--initdb] [--rebuilddb] [--aid] [--allfiles] [--allmatches] [--badreloc] [-e|--erase <package>+]
        [--excludedocs] [--excludepath=<path>] [--fileconflicts] [--force] [-F|--freshen <packagefile>+] [-h|--hash] [--ignorearch] [--ignoreos] [--ignoresize] [-i|--install] [--justdb] [--nodeps] [--nofiledigest] [--nomd5]
        [--nocontexts] [--noorder] [--nosuggest] [--noscripts] [--notriggers] [--oldpackage] [--percent] [--prefix=<dir>] [--relocate=<old>=<new>] [--replacefiles] [--replacepkgs] [--test] [-U|--upgrade <packagefile>+]
        [--quiet] [-D|--define 'MACRO EXPR'] [-E|--eval 'EXPR'] [--macros=<FILE:...>] [--nodigest] [--nosignature] [--rcfile=<FILE:...>] [-r|--root ROOT] [--querytags] [--showrc] [--quiet] [-v|--verbose] [--version] [-?|--help]
        [--usage] [--scripts] [--setperms] [--setugids] [--conflicts] [--obsoletes] [--provides] [--requires] [--info] [--changelog] [--xml] [--triggers] [--last] [--dupes] [--filesbypkg] [--fileclass] [--filecolor]
        [--fscontext] [--fileprovide] [--filerequire] [--filecaps]
ERROR: Unable to find rpm tool, please add its location to your PATH and restart installation
Installation failed.
Please see /var/log/ipp_ia32_install.log for details.

I have checked rpm does exist. why install program reports  'ERROR: Unable to find rpm tool' ?

Thanks!

 

0 Kudos
1 Reply
Jonghak_K_Intel
Employee
66 Views

Hi ,

this issue is a known issue for IPP 5.3.

I qoute from an old post ( https://software.intel.com/en-us/forums/topic/296713 )

to install ipp5.3
please start installer with --nonrpm command line key
#> /install/install --nonrpm

 

If the above approach doesn't solve your problem, you might want to check the log file stated in the error message ' Please see /var/log/ipp_ia32_install.log for details.' , and find the temporary installation directory where rpm is built ( e.g. /tmp ).

In the temporary installation directory you should be able to install the file manually using rpm.  

Thank you

 

Reply